Bug 44497 - autofs (automount) fails to map auto.direct
Summary: autofs (automount) fails to map auto.direct
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-13 21:31 UTC by Richard Felkins
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 21:32:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Felkins 2001-06-13 21:31:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
I did not get auto.direct maps through nis (yp) and switched
over to a /etc/auto.direct file copied directly from a Sun
Server.  The results are the same, snooping showed now NFS
requests other than auto.home, using standard NFS mount
requests work okay.  The mount points exist as /groups/plasma
and /groups/geop.

/groups/geop    ent450:/export/data/groups/geop
/groups/plasma  ent450:/export/data2/groups/plasma

I have tried the old style syntax used in 'amd' also.




How reproducible:
Always

Steps to Reproduce:
1.auto.master has

# $Id: auto.master,v 1.2 1997/10/06 21:52:03 hpa Exp $
# Sample auto.master file
# Format of this file:
# mountpoint map options
# For details of the format look at autofs(8).

#/misc  /etc/auto.misc  --timeout=60

/home   auto.home
/-      auto.direct

<richardf@linseed> 3% /sbin/service autofs status
Configured Mount Points:
------------------------
/usr/sbin/automount /home yp auto.home  
/usr/sbin/automount /- file /etc/auto.direct  

Active Mount Points:
--------------------
/usr/sbin/automount /home yp auto.home
/usr/sbin/automount /- file /etc/auto.direct




2.
3.
	

Actual Results:  <richardf@linseed> 4% cd /groups/plasma
linseed:/groups/plasma:% ls -la
total 8
drwxrwxr-x    2 root     root         4096 Jun 13 09:06 ./
drwxr-xr-x    6 root     root         4096 Jun 13 09:06 ../


Expected Results:  The automounter is silent an unyielding.

Additional info:

richardf at gso dot saic dot com

Comment 1 Nalin Dahyabhai 2001-08-28 19:09:23 UTC
Autofs 3 does not support direct mounts.  It is on the to-do list, possibly for
autofs 5.


Note You need to log in before you can comment on or make changes to this bug.